require 'roman'
y1 = Roman(:MCMLXVI)
y2 = Roman(:MMIX)

range = y1..y2               # 1966..2009
range.each {|x| puts x}      # 44 lines of output
epoch = Roman(:MCMLXX)
range.include?(epoch)        # true
doomsday = Roman(2038)
range.include?(doomsday)     # false
Roman(:V) == Roman(:IV).succ # true
Roman(:MCM) < Roman(:MM)     # true

